Page MenuHomePhabricator

on mobile web source editor, "Next" button stays grayed out after changing source if edit started in visual editor
Closed, DuplicatePublic

Description

on mobile web source editor, "Next" button stays grayed out after changing source if edit started in visual

confirmed on Chrome OS on Chrome 72 and also on Android Pie Chrome Beta 73. also broken on https://visualeditor-prototype.wmflabs.org/wiki/Pride_and_Prejudice with Android Pie Chrome Beta 73.

  • go to https://en.m.wikipedia.org/wiki/The_Mentor_(TV_series)
  • hit section editing button for first section.
  • make sure you're in visual editor, if not then switch to visual, go back to reading the page and refresh and then hit the same section edit button again.
  • hit the pencil to switch to source editor.
  • add or remove a character from the source.
  • "Next" button stays grayed out, clicking does nothing.

it does not stay grayed out if clicking the section edit link took you straight to source without going to visual first.

Event Timeline

jeremyb created this task.Feb 28 2019, 8:37 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 28 2019, 8:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kostajh added a subscriber: kostajh.Mar 5 2019, 4:49 PM
JTannerWMF edited projects, added VisualEditor (Current work); removed VisualEditor.

Great catch – thank you for filing, @jeremyb.

It looks like this bug has since been fixed by way of @Ryasmeen and @DLynch in T217617.

What if I check back in with you next week once this patch has been deployed and propagated?

sure, what's the train exactly?

JTannerWMF reassigned this task from ppelberg to DLynch.Mar 13 2019, 5:58 PM
JTannerWMF moved this task from Incoming to In progress on the VisualEditor (Current work) board.
JTannerWMF added a subscriber: ppelberg.

sure, what's the train exactly?

https://www.mediawiki.org/wiki/MediaWiki_1.33/Roadmap

MediaWiki 1.33.0-wmf.21 includes the change fixing this issue, it will be deployed everywhere this Thursday, 14 March 2019.

There you have it, @jeremyb ^ _ ^

...and thanks for following up here, @matmarex.

@jeremyb the fix for this (T217375) should now be live – does this issue look cleared up on your end?